local fn = _gn(0x1A78AD3D8240536F)
--- This native is used to latch or unlatch the convertible roof of a vehicle. It allows for direct control over the roof's mechanism without actually opening or closing the roof. This can be useful for scenarios where you need to prepare a vehicle's roof to be opened or closed by another action or to ensure it remains fixed in its current state regardless of other interactions.
-- ```
-- NativeDB Introduced: v323
-- ```
-- @param vehicle The vehicle whose convertible roof latch state is to be set.
-- @param bLatched A boolean value indicating the desired latch state of the roof. Set to `true` to latch (lock) the roof, preventing it from being opened. Set to `false` to unlatch (unlock) the roof, allowing it to be opened or closed.
function Global.SetConvertibleRoofLatchState(vehicle, bLatched)
	return _in2(fn, vehicle, bLatched)
end
